<?php

$Permissoes = User::getUser(true);

if (1 == 2) {

    class AcessosController extends GxController {

        var $help = 'Esta é a ajuda';

        public function actionView($id) {
            $this->render('view', array(
                'model' => $this->loadModel($id, 'Acessos'),
            ));
        }

        public function actionCreate() {
            $model = new Acessos;

            if (isset($_POST['Acessos'])) {
                $model->setAttributes($_POST['Acessos']);

                if ($model->save()) {
                    if (Yii::app()->getRequest()->getIsAjaxRequest())
                        Yii::app()->end();
                    else
                        $this->redirect(array('view', 'id' => $model->ACE_IDACESSO));
                }
            }

            $this->render('create', array('model' => $model));
        }

        public function actionUpdate($id) {
            $model = $this->loadModel($id, 'Acessos');

            if (isset($_POST['Acessos'])) {
                $model->setAttributes($_POST['Acessos']);

                if ($model->save()) {
                    $this->redirect(array('view', 'id' => $model->ACE_IDACESSO));
                }
            }

            $this->render('update', array(
                'model' => $model,
            ));
        }

        public function actionDelete($id) {
            if (Yii::app()->getRequest()->getIsPostRequest()) {
                $this->loadModel($id, 'Acessos')->delete();

                if (!Yii::app()->getRequest()->getIsAjaxRequest())
                    $this->redirect(array('admin'));
            } else
                throw new CHttpException(400, 'Sua solicitação é inválida.');
        }

        public function actionAdmin() {
            $model = new Acessos('search');
            $model->unsetAttributes();

            if (isset($_GET['Acessos']))
                $model->setAttributes($_GET['Acessos']);

            $this->render('admin', array(
                'model' => $model,
            ));
        }

    }


}